BareMetal API, REST: PublicSubnet.Create
Creates a public subnet in the specified folder.
HTTP request
POST https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/publicSubnets
Body parameters
{
// Includes only one of the fields `autoAllocation`, `manualAllocation`
"autoAllocation": {
"prefixLength": "string"
},
"manualAllocation": {
"cidr": "string",
"publicPrefixPoolId": "string"
},
// end of the list of possible fields
"folderId": "string",
"name": "string",
"description": "string",
"hardwarePoolIds": [
"string"
],
"prefixLength": "string",
"labels": "object"
}
|
Field |
Description |
|
autoAllocation |
Automatic CIDR allocation from the system public prefix pool. Includes only one of the fields Method for allocating CIDR block to the public subnet. |
|
manualAllocation |
Manual CIDR allocation with explicit CIDR from user's own public prefix pool (BYOIP). Includes only one of the fields Method for allocating CIDR block to the public subnet. |
|
folderId |
string ID of the folder to create a public subnet in. |
|
name |
string Name of the public subnet. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Description of the public subnet. The maximum string length in characters is 1024. |
|
hardwarePoolIds[] |
string IDs of the hardware pool that the public subnet belongs to. |
|
prefixLength |
string (int64) @deprecated Acceptable values are 1 to 31, inclusive. |
|
labels |
object (map<string, string>) Resource labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
AutoAllocation
Automatic CIDR allocation configuration.
|
Field |
Description |
|
prefixLength |
string (int64) Prefix length of the public subnet CIDR block. Acceptable values are 1 to 31, inclusive. |
ManualAllocation
Manual CIDR allocation configuration.
|
Field |
Description |
|
cidr |
string CIDR block of the public subnet. Must be within the public prefix pool CIDR block. |
|
publicPrefixPoolId |
string ID of the public prefix pool that the CIDR block belongs to. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |